Bug 173184 - [PATCH] games/abe: Makefile changed, removed pkg-plist, take maintainership
Summary: [PATCH] games/abe: Makefile changed, removed pkg-plist, take maintainership
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Rusmir Dusko
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-10-29 09:20 UTC by nemysis
Modified: 2013-08-27 18:00 UTC (History)
1 user (show)

See Also:


Attachments
abe-1.1_6.patch (2.86 KB, patch)
2012-10-29 09:20 UTC, nemysis
no flags Details | Diff
abe.diff (3.03 KB, patch)
2012-11-10 21:39 UTC, nemysis
no flags Details | Diff
abe.diff (3.05 KB, patch)
2013-02-22 12:32 UTC, nemysis
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description nemysis 2012-10-29 09:20:00 UTC
- Take maintainership

Removed file(s):
- pkg-plist

Makefile changed:

+BUILD_DEPENDS=	bmptopnm:${PORTSDIR}/graphics/netpbm
+PLIST_FILES=
+PORTDATA=	*
+PORTDOCS=
+DESKTOP_ENTRIES=
+post-build:
+post-install:
+.if ${PORT_OPTIONS:MDOCS}

Generated and tested manually, tested with port test and with RedPorts (all RELEASES, CLANG), sent with FreeBSD Port Tools 0.99_6 (mode: change, diff: ports)

How-To-Repeat: 
portlint -A
looks fine.

port test: clean

Build log

https://redports.org/buildarchive/20121029030110-48809/
Comment 1 nemysis 2012-11-10 21:39:59 UTC
Added pkg-plist and download for icon abe.png from SF.
Comment 2 nemysis 2013-02-22 12:32:52 UTC
Removed
BUILD_DEPENDS=       bmptopnm:${PORTSDIR}/graphics/netpbm

Added in Makefile:

               SF/nemysisfreebsdp/:icons
DISTFILES=     ${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX} \
               ${PORTNAME}.png:icons
DIST_SUBDIR=   ${PORTNAME} <-- Because isn't good to have png in /usr/ports/distfiles
EXTRACT_ONLY=  ${PORTNAME}-${DISTVERSION}${EXTRACT_SUFX}
...
Comment 3 Martin Wilke freebsd_committer 2013-08-14 10:29:31 UTC
Responsible Changed
From-To: freebsd-ports-bugs->nemysis

submitter is now committer.
Comment 4 dfilter service freebsd_committer 2013-08-27 17:56:30 UTC
Author: deischen
Date: Tue Aug 27 16:56:17 2013
New Revision: 325469
URL: http://svnweb.freebsd.org/changeset/ports/325469

Log:
  Change maintainer to nemysis from ports@.  Update Makefile for PORTDOCS,
  PORTDATA, DESKTOP_ENTRIES.
  
  PR:		173184
  Submitted by:	nemysis at gmx dot ch

Deleted:
  head/games/abe/pkg-plist
Modified:
  head/games/abe/Makefile

Modified: head/games/abe/Makefile
==============================================================================
--- head/games/abe/Makefile	Tue Aug 27 16:51:00 2013	(r325468)
+++ head/games/abe/Makefile	Tue Aug 27 16:56:17 2013	(r325469)
@@ -1,44 +1,44 @@
-# New ports collection makefile for:	games/abe
-# Date created:			8 Aug 2005
-# Whom:				Alejandro Pulver <alejandro@varnet.biz>
-#
+# Created by: Alejandro Pulver <alejandro@varnet.biz>
 # $FreeBSD$
-#
 
 PORTNAME=	abe
 PORTVERSION=	1.1
-PORTREVISION=	5
+PORTREVISION=	6
 CATEGORIES=	games
 MASTER_SITES=	SF/${PORTNAME}/${PORTNAME}/${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	ports@FreeBSD.org
+MAINTAINER=	nemysis@gmx.ch
 COMMENT=	Abe's Amazing Adventure
 
 LICENSE=	GPLv2
 
-USE_GMAKE=	yes
-USE_SDL=	mixer sdl
+BUILD_DEPENDS=	bmptopnm:${PORTSDIR}/graphics/netpbm
 
+USE_SDL=	mixer sdl
 GNU_CONFIGURE=	yes
 CONFIGURE_ARGS=	--with-data-dir=${DATADIR}
+USE_GMAKE=	yes
 
 MAKE_ARGS=	ACLOCAL="${TRUE}" AUTOCONF="${TRUE}" AUTOMAKE="${TRUE}" \
 		AUTOHEADER="${TRUE}"
 
+PLIST_FILES=	bin/${PORTNAME} \
+		share/pixmaps/${PORTNAME}.png
+
+PORTDATA=	*
+PORTDOCS=	AUTHORS ChangeLog README
+
+DESKTOP_ENTRIES="Abe's Amazing Avanture" "${COMMENT}" "${PORTNAME}" \
+		"${PORTNAME}" "Game;ArcadeGame;" ${FALSE}
+
 OPTIONS_DEFINE=	GOD_MODE OPTIMIZED_CFLAGS
 OPTIONS_DEFAULT=	OPTIMIZED_CFLAGS
 GOD_MODE_DESC=	Enable God Mode (toggle with 'g')
 
-post-install:
-	@${MKDIR} ${DATADIR}
-.for d in images maps sounds
-	@${CP} -R ${WRKSRC}/${d} ${DATADIR}
-.endfor
-
 .include <bsd.port.options.mk>
 
-.if ${PORT_OPTIONS:MGOD_MODE} || !empty(PORT_OPTIONS:MOPTIMIZED_CFLAGS)
 post-patch:
+.if ${PORT_OPTIONS:MGOD_MODE} || !empty(PORT_OPTIONS:MOPTIMIZED_CFLAGS)
 .   if ${PORT_OPTIONS:MGOD_MODE}
 	@${REINPLACE_CMD} -e 's|\(#define GOD_MODE\) 0|\1 1|' \
 		${WRKSRC}/src/Game.h
@@ -52,4 +52,20 @@ post-patch:
 .   endif
 .endif
 
+post-build:
+	@(cd ${WRKSRC} && ${TAR} xf ./images/images.tar abe.bmp && \
+		${LOCALBASE}/bin/bmptopnm abe.bmp | \
+		${LOCALBASE}/bin/pamscale .2487 | ${LOCALBASE}/bin/pnmtopng > ${PORTNAME}.png)
+
+post-install:
+	${INSTALL_DATA} ${WRKSRC}/${PORTNAME}.png ${PREFIX}/share/pixmaps
+	${MKDIR} ${DATADIR}
+.for d in images maps sounds
+	@(cd ${WRKSRC} && ${COPYTREE_SHARE} ${d} ${DATADIR})
+.endfor
+.if ${PORT_OPTIONS:MDOCS}
+	${MKDIR} ${DOCSDIR}
+	${INSTALL_DATA} ${PORTDOCS:S|^|${WRKSRC}/|} ${DOCSDIR}
+.endif
+
 .include <bsd.port.mk>
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 5 Daniel Eischen freebsd_committer 2013-08-27 17:56:36 UTC
State Changed
From-To: open->closed

Patch committed, thanks for your contribution!